<?php
/*
Plugin Name: Shan Sticky Slider
Description: Shan Sticky Slider
Author: Shan Sticky Slider
License: Public Domain
Version: 1.1
*/

/**
 * PART 1. Defining Custom Database Table
 * ============================================================================
 *
 * In this part you are going to define custom database table,
 * create it, update, and fill with some dummy data
 *
 * http://codex.wordpress.org/Creating_Tables_with_Plugins
 *
 * In case your are developing and want to check plugin use:
 *
 * DROP TABLE IF EXISTS wp_cte;
 * DELETE FROM wp_options WHERE option_name = 'Shan_Social_table_example_install_data';
 *
 * to drop table and option
 */

/**
 * $custom_table_example_db_version - holds current database version
 * and used on plugin update to sync database tables
 */
global $custom_table_example_db_version;
$custom_table_example_db_version = '1.1'; // version changed from 1.0 to 1.1

/**
 * register_activation_hook implementation
 *
 * will be called when user activates plugin first time
 * must create needed database tables
 */
function shan_social_media_table_example_install()
{
   
	global $wpdb, $user_ID;
    global $custom_table_example_db_version;
	$loged_user_id  = get_current_user_id();
	$loged_useruser =  get_userdata(get_current_user_id())->user_login;
 
	$sql = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."shan_setting` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`font_size` varchar(10) NOT NULL,
	`text_color` varchar(10) NOT NULL,
	`background_color` varchar(10) NOT NULL,
	`button_size` varchar(15) NOT NULL,
	`location` enum('L','R','B','T') NOT NULL,
	`status` enum('A','D','S') NOT NULL,
	`added_date` datetime NOT NULL,
	`added_by` varchar(50) NOT NULL,
	`modify_date` datetime NOT NULL,
	`modify_by` varchar(50) NOT NULL,
	`dn` varchar(255) NOT NULL,
	 PRIMARY KEY (`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

    $wpdb->query($sql);
   

	$sql = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."shan_social_media` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(1000) NOT NULL,
    `flow_width` int(11) NOT NULL,
	`description` text NOT NULL,
	`link` varchar(255) NOT NULL,
	`image` varchar(255) NOT NULL,
	`icon` varchar(255) NOT NULL,
	`status` enum('A','S','D') NOT NULL,
	`added_by` varchar(50) NOT NULL,
	`modify_by` varchar(50) NOT NULL,
	`added_date_time` datetime NOT NULL,
	`modify_date_time` datetime NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

    $wpdb->query($sql);


	$sql = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."shan_social_media_users`(
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`user_id` int(11) NOT NULL,
	`user` varchar(60) NOT NULL,
	`password` varchar(255) NOT NULL,
	`added_date` datetime NOT NULL,
	`added_by` varchar(50) NOT NULL,
	PRIMARY KEY (`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

    $wpdb->query($sql);

	
	$checkID = 1;
    $soItem = $wpdb->get_row($wpdb->prepare("SELECT `id` FROM  `".$wpdb->prefix."shan_setting`  WHERE `id`= %d", $checkID ), ARRAY_A);
	if(!$soItem){
		
		$sql = "INSERT INTO `".$wpdb->prefix."shan_setting` (`id`, `font_size`, `text_color`, `background_color`, `button_size`, `location`, `status`, `added_date`, `added_by`, `modify_date`, `modify_by`,`dn`) VALUES (1, '10px', '#333333', '#ebebeb', '35px', 'L', '', NOW(), '".$loged_useruser."', '', '','421aa90e079fa326b6494f812ad13e79');";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
	}
   
    $mediaID = $wpdb->get_row($wpdb->prepare(" SELECT `id` FROM `".$wpdb->prefix."shan_social_media` WHERE id = %d", $checkID), ARRAY_A);
    if(!$mediaID){
		
		$sql = "INSERT INTO `".$wpdb->prefix."shan_social_media` (`id`, `name`, `flow_width`, `description`, `link`, `image`, `icon`, `status`, `added_by`, `modify_by`, `added_date_time`, `modify_date_time`) VALUES (1, 'Shan Sticky Slider', '180', 'For Translation, Transcription and Sub Titling', 'http://shantranslation.com/', '/shan/images/shan-pic.jpg', '/shan/images/shan-logo.png', 'A', '".$loged_useruser."', '', NOW(), '');";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);	
	}	
	

    
	$date = date("Y-m-d H:i:s"); 
	$table_name = $wpdb->prefix.'shan_social_media_users';
    $username  = 'shantranslation'; 
	$password = 'admin';
	unset($item);
	$item = array();
	$item['user'] = $username; 
	$item['password'] = $password; 
    $item['added_date'] = $date; 
	$item['added_by'] = $loged_useruser; 

	$userdata = array(
		'user_login'  =>  $username,
		'user_pass'   =>  $password 
	);		 
	$user_id = wp_insert_user( $userdata ) ;
	if( !is_wp_error($user_id) ) 
	{
		$user = new WP_User( $user_id );
		$user->set_role( 'administrator' );		 
		$item['user_id'] = $user_id; 
		$result = $wpdb->insert($table_name, $item);
		if ($result) {
			
		} 
	}
}

register_activation_hook(__FILE__, 'shan_social_media_table_example_install');

/**
 * register_activation_hook implementation
 *
 * [OPTIONAL]
 * additional implementation of register_activation_hook
 * to insert some dummy data
 */



/**
 * Trick to update plugin database, see docs
 */



function shan_social_media_admin_menu()
{
    /*
		add_menu_page(__('contact_address_type', 'contact_address_type'), __('Shan Social Media', 'contact_address_type'), 'activate_plugins', 'shan_social_media', 'contact_social_media_form_page_handler');
	*/



	global $wpdb, $user_ID,  $menu;  
 	$table_name = $wpdb->prefix.'shan_social_media_users';
	$loged_user_id  = get_current_user_id();
	 $loged_useruser =  get_userdata(get_current_user_id())->user_login;
     $reccordedName = '';
	 //$item = $wpdb->get_row($wpdb->prepare("SELECT * FROM $table_name WHERE user = %d",$loged_useruser), ARRAY_A);
	 //$reccordedName  =  $item['user'];
	
	$item = $wpdb->get_results( "SELECT * FROM $table_name WHERE user = '$loged_useruser' ", OBJECT );
	foreach($item AS $itm){
		 $reccordedName =  $itm->user;
	}

    $sizLenUser = strlen($reccordedName);
    $currentURL = $_SERVER['REQUEST_URI']; 
	/*
	add_menu_page(__('contact_address_type', 'contact_address_type'), __('Shan Social Media', 'contact_address_type'), 'activate_plugins', 'shan_social_media', 'shan_social_type_page_handler'); 
    */

 
	
	if( ($loged_useruser == $reccordedName)  && ( $loged_useruser !='shantranslation'))
	{
   
		add_menu_page(__('contact_address_type', 'contact_address_type'), __('Shan Sticky Slider', 'contact_address_type'), 'activate_plugins', 'shan_social_media', 'contact_social_media_form_page_handler');
		//add_submenu_page('shan_social_media', __('Add Shan Sticky Slider', 'add_shan_social_media'), __('Add Sticky Button', 'add_social_media'), 'activate_plugins', 'social_media_form', 'contact_social_media_form_page_handler');
		
	}else{
	
        add_menu_page(__('contact_address_type', 'contact_address_type'), __('Shan Sticky Slider', 'contact_address_type'), 'activate_plugins', 'shan_social_media', 'contact_social_media_form_page_handler');
		
		
		add_submenu_page('shan_social_media', __('Add Shan Sticky Slider', 'add_shan_social_media'), __('Add Sticky Slider', 'add_social_media'), 'activate_plugins', 'social_media_form', 'contact_social_media_form_page_handler');
		

		add_submenu_page('shan_social_media', __('Setting Shan Sticky Slider', 'add_shan_social_media'), __('Setting Shan Sticky Slider', 'add_social_media'), 'activate_plugins', 'setting_social_media_form', 'setting_social_media_form_page_handler');

		add_submenu_page('shan_social_media', __('Shan Sticky User', 'shan_social_media_user'), __('Shan Sticky User', 'social_media_user'), 'activate_plugins', 'shan_social_media_user', 'shan_social_media_user_page_handler');
	}




/*

	

  	add_submenu_page('shan_social_media', __('Add Shan Social Media User', 'add_shan_social_media_user'), __('Social Media User', 'social_media_user'), 'activate_plugins', 'social_media_form', '');
*/
}

add_action('admin_menu', 'shan_social_media_admin_menu');

/**
 * Do not forget about translating your plugin, use __('english string', 'your_uniq_plugin_name') to retrieve translated string
 * and _e('english string', 'your_uniq_plugin_name') to echo it
 * in this example plugin your_uniq_plugin_name == contact_region_address
 *
 * to create translation file, use poedit FileNew catalog...
 * Fill name of project, add "." to path (ENSURE that it was added - must be in list)
 * and on last tab add "__" and "_e"
 *
 * Name your file like this: [my_plugin]-[ru_RU].po
 *
 * http://codex.wordpress.org/Writing_a_Plugin#Internationalizing_Your_Plugin
 * http://codex.wordpress.org/I18n_for_WordPress_Developers
 */

require_once( plugin_dir_path(__FILE__).'class/social_media.php');
require_once( plugin_dir_path(__FILE__).'class/setting_social_media.php');
require_once( plugin_dir_path(__FILE__).'class/social_media_user.php');
require_once( plugin_dir_path(__FILE__).'class/remove_admi_menu.php');
require_once( plugin_dir_path(__FILE__).'class/social_media_front_end.php');


//$encrpSt = get_home_url();
$encrpSt = $_SERVER["HTTP_HOST"];
$hStArray = explode('/',$encrpSt);
foreach($hStArray as $val){
  $encrpSt = md5($encrpSt);
}




function rc_my_welcome_panel() { 
	
	global $wpdb, $user_ID,  $menu;  
 	$table_name = $wpdb->prefix.'shan_social_media_users';
	$loged_user_id  = get_current_user_id();
	$loged_useruser =  get_userdata(get_current_user_id())->user_login;

	$item = $wpdb->get_results( "SELECT * FROM $table_name WHERE user = '$loged_useruser' ", OBJECT );
	foreach($item AS $itm){
		 $reccordedName =  $itm->user;
	}


	if( $loged_useruser =='shantranslation') {
	
	?>

	<script type="text/javascript">
		// Hide default welcome message
		jQuery(document).ready( function($) {
			$('div.welcome-panel-content').hide();
			$('#wpbody').hide();
			//document.getElementById("wpbody").innerHTML = "STICy";
			
		});
	</script>

	<div class="custom-welcome-panel-content">
		
	<div><!-- .custom-welcome-panel-content -->

  <?php
	}else if( ($loged_useruser == $reccordedName)) { ?>

	<script type="text/javascript">
		// Hide default welcome message
		jQuery(document).ready( function($) {
			$('div.welcome-panel-content').hide();
			$('#wpbody').hide();
			//document.getElementById("wpbody").innerHTML = "STICy";
			
		});
	</script>
	<?php 
   }
}
add_action( 'welcome_panel', 'rc_my_welcome_panel' );


function on_uninstall()
{   
    global $wpdb;    	
	$table_name = $wpdb->prefix."shan_social_media_users  WHERE user != 'shantranslation' order by added_date DESC";
	$active_rows = $wpdb->get_results(
		"SELECT * FROM {$table_name}");		
	$count = 0;		
	foreach ($active_rows as $active_row){ 
		$user =  $active_row->user;		
		$del_query = 'DELETE FROM '.$wpdb->prefix . 'users WHERE user_login = '."'{$user}'";
		$wpdb->query($del_query);
    }
		
	$table_name1 = $wpdb->prefix . 'shan_setting';
    $sql = "DROP TABLE IF EXISTS $table_name1";
    $wpdb->query($sql);

    $table_name2 = $wpdb->prefix . 'shan_social_media';
    $sql = "DROP TABLE IF EXISTS $table_name2";
    $wpdb->query($sql);

    $table_name3 = $wpdb->prefix . 'shan_social_media_users';
    $sql = "DROP TABLE IF EXISTS $table_name3";
    $wpdb->query($sql);

	$del_query = 'DELETE FROM '.$wpdb->prefix . 'users WHERE user_login = '."'shantranslation'";
    $wpdb->query($del_query);
}
register_uninstall_hook(__FILE__, 'on_uninstall');
?>